<template>
  <div>
    <section
      class="relative bg-secondary h-[calc(25vh+80px)] md:h-[calc(25vh+80px)] flex items-center justify-center"
    >
      <img
        src="/hashportable-banner.webp"
        class="absolute top-0 bottom-0 left-0 right-0 object-cover object-center w-full h-full select-none opacity-20"
        alt=""
        loading="lazy"
      />
      <div
        class="relative px-10 mx-auto text-center lg:px-0 lg:max-w-6xl mt-[40px]"
      >
        <h1
          class="relative flex flex-col items-center justify-center mb-10 text-3xl font-normal uppercase lg:flex-row text-primary lg:text-6xl bai mt-[40px]"
        >
          <img src="/hashportable.webp" class="w-auto" alt="" />
        </h1>
      </div>
    </section>

    <section class="relative py-16 bg-secondary">
      <div
        class="grid grid-cols-1 gap-8 px-10 mx-auto lg:max-w-6xl md:grid-cols-3"
      >
        <div class="flex items-center md:col-span-2">
          <p class="text-base leading-10 text-muted montserrat" v-html="$t('hasportable.text')">
          </p>
        </div>
        <div class="flex items-center">
          <div class="relative w-full h-full overflow-hidden rounded-md bg-primary">
            <img src="/portada_hashportable1.webp" class="object-cover object-center w-full h-full" alt="" />
          </div>
        </div>
      </div>

      <div class="hidden px-10 mx-auto mt-16 lg:max-w-6xl">
        <div
          class="mb-8 text-2xl font-normal uppercase bai text-primary lg:text-4xl"
        >
          Modelo de Negocio
        </div>

        <ul>
          <li
            class="flex items-center justify-start text-xl font-normal text-white uppercase bai lg:text-3xl"
          >
            <span class="mr-2 text-primary">•</span> Todo en uno
          </li>
          <li
            class="flex items-center justify-start text-xl font-normal text-white uppercase bai lg:text-3xl"
          >
            <span class="mr-2 text-primary">•</span> Reparto de beneficios
          </li>
        </ul>

        <ul class="mt-10 text-base leading-10 text-muted montserrat">
          <li>*Los gastos de importación corren a cargo del cliente.</li>
          <li>
            *Los costes varían en función de la cantidad y el modelo de las
            máquinas.
          </li>
        </ul>
      </div>
    </section>

    <div class="px-10 mx-auto lg:max-w-6xl">
      <UtilsSlider :slides="slides" />

      <div
        class="flex flex-col justify-center mt-16 space-x-0 space-y-8 items-left lg:flex-row lg:space-x-8 lg:space-y-0"
      >
        <a
          href="/briefs/hoja-de-venta-hashportable.pdf"
          download="Hoja de ventas - Hashportable"
          class="btn btn-primary"
          >{{ $t('hasportable.button') }}</a
        >
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'HoashportablePage',

  nuxtI18n: {
    paths: {
      en: '/mine/products/hashportable',
      es: '/mina/productos/hashportable',
    },
  },

  data() {
    return {
      slides: [
        'hashportable1.webp',
        'hashportable2.webp',
        'hashportable3.webp',
        'hashportable4.webp',
      ],
    }
  },
}
</script>

<style></style>
